Bug 964395 - ami-7368011a RHEL 6.0 i386 us-east-1
ami-7368011a RHEL 6.0 i386 us-east-1
Status: CLOSED CURRENTRELEASE
Product: Cloud Image Validation
Classification: Red Hat
Component: images (Show other bugs)
RHEL6.0
i386 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: mkovacik
mkovacik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-18 03:41 EDT by Vitaly Kuznetsov
Modified: 2013-05-29 09:20 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 09:20:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ami-7368011a.yaml (39.53 KB, text/yaml)
2013-05-18 03:41 EDT, Vitaly Kuznetsov
no flags Details

  None (edit)
Description Vitaly Kuznetsov 2013-05-18 03:41:34 EDT

    
Comment 1 Vitaly Kuznetsov 2013-05-18 03:41:37 EDT
Created attachment 749597 [details]
ami-7368011a.yaml
Comment 2 Vitaly Kuznetsov 2013-05-18 03:41:43 EDT
Validation failed for ami-7368011a in us-east-1 product: RHEL, version: 6.0, arch: i386

m1.small
test stage1:testcase_01_bash_history succeeded
test stage1:testcase_02_ipv6 succeeded
test stage1:testcase_03_chkconfig succeeded
test stage1:testcase_05_grub succeeded
test stage1:testcase_06_inittab succeeded
test stage1:testcase_07_libc6_xen_conf succeeded
test stage1:testcase_08_memory succeeded
test stage1:testcase_09_nameserver succeeded
test stage1:testcase_10_networking succeeded
test stage1:testcase_11_package_set succeeded
test stage1:testcase_12_passwd_group succeeded
test stage1:testcase_13_resize2fs succeeded
test stage1:testcase_14_host_details succeeded
test stage1:testcase_15_rhel_version succeeded
test stage1:testcase_16_selinux succeeded
test stage1:testcase_17_shells succeeded
test stage1:testcase_18_sshd succeeded
test stage1:testcase_19_rhn_system_id succeeded
test stage1:testcase_20_auditd succeeded
test stage1:testcase_21_disk_size_format succeeded
test stage1:testcase_22_gpg_keys succeeded
test stage1:testcase_23_syslog succeeded
test stage1:testcase_24_yum_plugin succeeded
test stage1:testcase_25_uname succeeded
test stage1:testcase_26_verify_rpms succeeded
test stage1:testcase_27_yum_repos failed
--->
	actual: 1
	command: yum repolist -v all | csplit --prefix=repolist_xx - '%Repo-id\s*:%'
	result: failed
<---
--->
	comment: failed to get actual repo list [Errno 2] No such file
	result: failure
<---
test stage1:testcase_28_iptables succeeded
test stage1:testcase_29_swap_file succeeded
test stage1:testcase_30_rhn_certificates failed
--->
	command: rpm -ql rh-amazon-rhui-client | egrep '.*\.(pem|crt)'
	result: passed
	value: /etc/pki/entitlement/ca.crt
/etc/pki/entitlement/cdn.redhat.com-chain.crt
/etc/pki/entitlement/product/content-rhel6.crt
/etc/pki/entitlement/product/rhui-client-config-server-6.crt
<---
--->
	command: openssl x509 -in /etc/pki/entitlement/ca.crt -noout -dates | grep notAfter
	result: passed
	value: notAfter=Nov 30 19:46:02 2017 GMT
<---
--->
	comment: (/etc/pki/entitlement/ca.crt).notAfter=2017-11-30 19:46:02; expecting: 2020-11-10 00:00:00
	result: failed
<---
--->
	command: openssl x509 -in /etc/pki/entitlement/cdn.redhat.com-chain.crt -noout -dates | grep notAfter
	result: passed
	value: notAfter=Mar 13 11:24:54 2030 GMT
<---
--->
	comment: (/etc/pki/entitlement/cdn.redhat.com-chain.crt).notAfter=2030-03-13 11:24:54; expecting: 2020-11-10 00:00:00
	result: passed
<---
--->
	command: openssl x509 -in /etc/pki/entitlement/product/content-rhel6.crt -noout -dates | grep notAfter
	result: passed
	value: notAfter=Nov 30 18:31:28 2020 GMT
<---
--->
	comment: (/etc/pki/entitlement/product/content-rhel6.crt).notAfter=2020-11-30 18:31:28; expecting: 2020-11-10 00:00:00
	result: passed
<---
--->
	command: openssl x509 -in /etc/pki/entitlement/product/rhui-client-config-server-6.crt -noout -dates | grep notAfter
	result: passed
	value: notAfter=Nov 30 18:38:07 2020 GMT
<---
--->
	comment: (/etc/pki/entitlement/product/rhui-client-config-server-6.crt).notAfter=2020-11-30 18:38:07; expecting: 2020-11-10 00:00:00
	result: passed
<---
test stage1:testcase_31_subscription_management failed
--->
	actual: yum --disablerepo='*' -v repolist
Not loading "rhnplugin" plugin, as it is disabled
Loading "amazon-id" plugin
Loading "rhui-lb" plugin
Loading "security" plugin
Config time: 0.133
repo time: 0.000
Yum Version: 3.2.27
Setting up Package Sacks
repolist: 0
[root@domU-12-31-39-14-08-D5 ~]# 
	command: yum --disablerepo='*' -v repolist
	expectation: Not loading 'subscription-manager' plugin
	result: failed
<---
--->
	actual: yum --enableplugin=subscription-manager --disablerepo='*' -v repolist
Not loading "rhnplugin" plugin, as it is disabled
Loading "amazon-id" plugin
Loading "rhui-lb" plugin
Loading "security" plugin
No plugin match for: subscription-manager
Config time: 0.110
repo time: 0.000
Yum Version: 3.2.27
Setting up Package Sacks
repolist: 0
[root@domU-12-31-39-14-08-D5 ~]# 
	command: yum --enableplugin=subscription-manager --disablerepo='*' -v repolist
	expectation: Loading 'subscription-manager' plugin
	result: failed
<---
--->
	actual: subscription-manager list
-bash: subscription-manager: command not found
[root@domU-12-31-39-14-08-D5 ~]# 
	command: subscription-manager list
	expectation: No installed products to list
	result: failed
<---
test stage1:testcase_32_ephemeral failed
--->
	actual: 1
	command: fdisk -l /dev/xvdj | grep '^Disk'
	result: failed
<---
--->
	command: grep '/dev/xvdj ' /proc/mounts  | wc -l
	result: passed
	value: 0
<---
--->
	command: ls -la /sbin/mkfs.vfat 2> /dev/null | wc -l
	result: passed
	value: 1
<---
--->
	actual: 1
	command: mkfs.vfat -I /dev/xvdj
	result: failed
<---
test stage1:testcase_33_userdata succeeded
test stage1:testcase_34_cpu succeeded
test stage1:testcase_360_ebs failed
--->
	actual: 2
	command: ls -l /dev/xvdo
	result: failed
<---
--->
	command: ls -la /sbin/mkfs.vfat 2> /dev/null | wc -l
	result: passed
	value: 1
<---
--->
	actual: 1
	command: mkfs.vfat -I /dev/xvdo
	result: failed
<---
test stage1:testcase_39_root_is_locked succeeded
test stage1:testcase_40_selinux_context succeeded
test stage1:testcase_50_yum_package_install failed
--->
	command: yum clean all
	result: passed
<---
--->
	command: yum repolist
	result: passed
<---
--->
	actual: 1
	command: yum check-update
	result: failed
<---
--->
	actual: 1
	command: yum search zsh
	result: failed
<---
--->
	actual: 1
	command: yum -y install zsh
	result: failed
<---
--->
	actual: 1
	command: rpm -q --queryformat '%{NAME}' zsh
	result: failed
<---
--->
	actual: 1
	command: rpm -e zsh
	result: failed
<---
test stage1:testcase_55_yum_group_install failed
--->
	actual: 1
	command: yum -y groupinstall 'Development tools'
	result: failed
<---
test stage1:testcase_60_yum_update failed
--->
	command: rpm -q matahari-net && yum -y remove matahari-net ||:
	result: passed
<---
--->
	actual: 1
	command: yum -y install kernel
	result: failed
<---
--->
	actual: 1
	command: yum -y update
	result: failed
<---
test stage1:testcase_61_yum_proxy succeeded
test stage1:testcase_99_reboot succeeded
test stage2:testcase_08_memory succeeded
test stage2:testcase_25_uname succeeded

Note You need to log in before you can comment on or make changes to this bug.